Subject: Re: bug#53458: [Request, Linux] Follow system dark mode user preference

From: Po Lu <[email-masked]>
Date: Sun, 23 Jan 2022 21:14:50 +0800

Rudolf Schlatte <[email-masked]> writes:

> The OS changes the title bar color etc., but such a change would let
> Emacs adapt frame contents, for example by changing the active theme.

For Emacs to change the GTK stylesheet when the system tells it to over
the XDG portal API doesn't mean it will necessarily be possible for Lisp
programs to obtain the name of the stylesheet being utilized, but I
think something like what Carbon Emacs has would be a good idea.

I'm not convinced that implementing the former is a good idea, since
changing the decoration style should be (and will probably be in the
future) handled by either GTK+ or the window manager, while these
standards come and go, but I am not opposed to the latter.

Patches welcome, thanks.